SPI\_scroll\_cursor\_move

|       SPI\_scroll\_cursor\_move        |                        |                         |                  |                                  |
|:--------------------------------------:|------------------------|-------------------------|------------------|----------------------------------|
|[Prev](spi-spi-scroll-cursor-fetch.html)|[Up](spi-interface.html)|47.1. Interface Functions|[Home](index.html)| [Next](spi-spi-cursor-close.html)|

---

[]()

## SPI\_scroll\_cursor\_move

SPI\_scroll\_cursor\_move — move a cursor

## Synopsis

```
void SPI_scroll_cursor_move(Portal portal, FetchDirection direction,
                            long count)

```

## Description

`SPI_scroll_cursor_move` skips over some number of rows in a cursor. This is equivalent to the SQL command `MOVE`.

## Arguments

`Portal *`portal`*`

 portal containing the cursor

`FetchDirection *`direction`*`

 one of `FETCH_FORWARD`, `FETCH_BACKWARD`, `FETCH_ABSOLUTE` or `FETCH_RELATIVE`

`long *`count`*`

 number of rows to move for `FETCH_FORWARD` or `FETCH_BACKWARD`; absolute row number to move to for `FETCH_ABSOLUTE`; or relative row number to move to for `FETCH_RELATIVE`

## Return Value

`SPI_processed` is set as in `SPI_execute` if successful. `SPI_tuptable` is set to `NULL`, since no rows are returned by this function.

## Notes

 See the SQL [FETCH](sql-fetch.html) command for details of the interpretation of the *`direction`* and *`count`* parameters.

 Direction values other than `FETCH_FORWARD` may fail if the cursor's plan was not created with the `CURSOR_OPT_SCROLL` option.

---

|[Prev](spi-spi-scroll-cursor-fetch.html)|[Up](spi-interface.html)| [Next](spi-spi-cursor-close.html)|
|:---------------------------------------|:----------------------:|---------------------------------:|
|       SPI\_scroll\_cursor\_fetch       |   [Home](index.html)   |        SPI\_cursor\_close        |

 // \<![CDATA[ \<-- For SVG support if ('WebSocket' in window) { (function() { function refreshCSS() { var sheets = [].slice.call(document.getElementsByTagName("link")); var head = document.getElementsByTagName("head")[0]; for (var i = 0; i \< sheets.length; ++i) { var elem = sheets[i]; head.removeChild(elem); var rel = elem.rel; if (elem.href && typeof rel != "string" || rel.length == 0 || rel.toLowerCase() == "stylesheet") { var url = elem.href.replace(/(&|\\?)\_cacheOverride=\\d+/, ''); elem.href = url + (url.indexOf('?') \>= 0 ? '&' : '?') + '\_cacheOverride=' + (new Date().valueOf()); } head.appendChild(elem); } } var protocol = window.location.protocol === 'http:' ? 'ws://' : 'wss://'; var address = protocol + window.location.host + window.location.pathname + '/ws'; var socket = new WebSocket(address); socket.onmessage = function(msg) { if (msg.data == 'reload') window.location.reload(); else if (msg.data == 'refreshcss') refreshCSS(); }; console.log('Live reload enabled.'); })(); } // ]]\>